# Poco::XML

# class AbstractContainerNode

Library: XML
Package: DOM
Header: Poco/DOM/AbstractContainerNode.h

## Description

AbstractContainerNode is an implementation of Node that stores and manages child nodes.

Child nodes are organized in a single linked list.

## Inheritance

Direct Base Classes: AbstractNode

All Base Classes: AbstractNode, DOMObject, EventTarget, Node

Known Derived Classes: Document, DocumentType, DocumentFragment, Element, Entity

## Member Summary

Member Functions: appendChild, dispatchNodeInsertedIntoDocument, dispatchNodeRemovedFromDocument, firstChild, hasAttributes, hasChildNodes, insertBefore, lastChild, removeChild, replaceChild

Inherited Functions: addEventListener, appendChild, attributes, autoRelease, bubbleEvent, captureEvent, childNodes, cloneNode, copyNode, dispatchAttrModified, dispatchCharacterDataModified, dispatchEvent, dispatchNodeInserted, dispatchNodeInsertedIntoDocument, dispatchNodeRemoved, dispatchNodeRemovedFromDocument, dispatchSubtreeModified, duplicate, events, eventsSuspended, firstChild, getNodeValue, hasAttributes, hasChildNodes, innerText, insertBefore, isSupported, lastChild, localName, namespaceURI, nextSibling, nodeName, nodeType, nodeValue, normalize, ownerDocument, parentNode, prefix, previousSibling, release, removeChild, removeEventListener, replaceChild, setNodeValue, setOwnerDocument

## Constructors

### AbstractContainerNode

AbstractContainerNode(
Document * pOwnerDocument
);

### AbstractContainerNode

AbstractContainerNode(
Document * pOwnerDocument,
const AbstractContainerNode & node
);

## Destructor

### ~AbstractContainerNode

~AbstractContainerNode();

## Member Functions

### appendChild

Node * appendChild(
Node * newChild
);

See also: Poco::XML::AbstractNode::appendChild()

### firstChild

Node * firstChild() const;

See also: Poco::XML::AbstractNode::firstChild()

### hasAttributes

bool hasAttributes() const;

See also: Poco::XML::AbstractNode::hasAttributes()

### hasChildNodes

bool hasChildNodes() const;

See also: Poco::XML::AbstractNode::hasChildNodes()

### insertBefore

Node * insertBefore(
Node * newChild,
Node * refChild
);

See also: Poco::XML::AbstractNode::insertBefore()

### lastChild

Node * lastChild() const;

See also: Poco::XML::AbstractNode::lastChild()

### removeChild

Node * removeChild(
Node * oldChild
);

See also: Poco::XML::AbstractNode::removeChild()

### replaceChild

Node * replaceChild(
Node * newChild,
Node * oldChild
);

See also: Poco::XML::AbstractNode::replaceChild()

### dispatchNodeInsertedIntoDocument

void dispatchNodeInsertedIntoDocument();

See also: Poco::XML::AbstractNode::dispatchNodeInsertedIntoDocument()

### dispatchNodeRemovedFromDocument

void dispatchNodeRemovedFromDocument();

See also: Poco::XML::AbstractNode::dispatchNodeRemovedFromDocument()